
.SUFFIXES:
.PHONY: all


%.pdf : %.tex
	pdflatex $* && rm $*.pdf
	bibtex $*
	pdflatex $* && rm $*.pdf
	pdflatex $*


%.pdf : %.fig
	fig2dev -L pdf $< $@

%.pdf : %.jpg
	convert $< $@

%.pdf : %.eps
	epstopdf -o $@ $<

%.pdf : %.ps
	epstopdf -o $@ $<

%.tex : %.py
	texifypython <$*.py >$*.tex

install: $(INSTALL:%.pdf=$W/%.pdf) $W/$N.tgz


$W/% : %
	cp $< $@


PUB= $R/legalcode.htm  $R/legalcode_files LICENSE.html \
	Makefile ../make.inc ../course.bib \
	$(SRC)

LICENSE.html : $R/LICENSE.html $R/LICENSE.sh
	bash $R/LICENSE.sh $R/LICENSE.html $(PUB) >LICENSE.html


$N.tgz : LICENSE.html $(PUB)
	rm -rf $D/* || true
	test -d $D || mkdir $D
	cp -rL $^ $D
	find $D -depth -type d -name CVS -exec rm -rf {} \;
	tar cvzhf $N.tgz $D
	rm -rf $D
